Debian Bug report logs - #400768
apt: Returns "E: Wow, you exceeded the number of versions this APT is capable of"

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Tom Parker <debian@tevp.net>

Date: Tue, 28 Nov 2006 16:49:11 UTC

Severity: important

Tags: fixed-upstream, patch

Merged with 354938, 466643, 485489, 495331, 497617, 504006

Found in versions apt/0.7.14, 0.5.27, apt/0.6.46.3, apt/0.7.16, apt/0.6.46.4-0.1, apt/0.7.15~exp2, apt/0.7.11, apt/0.5.28.6

Fixed in version 0.7.21

Done: David Kalnischkies <kalnischkies+debian@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Tom Parker <debian@tevp.net>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tom Parker <debian@tevp.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt: Returns "E: Wow, you exceeded the number of versions this APT is capable of"
Date: Tue, 28 Nov 2006 17:19:45 +0100
Package: apt
Version: 0.6.46.3
Severity: important

Using my current /etc/apt/sources.list gets the error messages 

<misc apt stuff>
Reading package lists... Error!
E: Wow, you exceeded the number of versions this APT is capable of.
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.

Commenting out the "edgy" line or the "security" line (or probably
various others) removes the problem.

-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "i386";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Periodic "";
APT::Periodic::Update-Package-Lists "1";
APT::Get "";
APT::Get::Show-Upgraded "true";
APT::Default-Release "stable";
APT::Cache-Limit "181943904";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::userstatus "status.user";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::dpkg "/usr/bin/dpkg";
aptitude "";
aptitude::Delete-Unused-Pattern "^linux-image.*$";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/bin/apt-listchanges --apt || test $? -ne 10";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Tools "";
DPkg::Tools::Options "";
DPkg::Tools::Options::/usr/bin/apt-listchanges "";
DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";
DPkg::Post-Invoke "";
DPkg::Post-Invoke:: "if [ -x /usr/bin/debsums ]; then /usr/bin/debsums --generate=nocheck -sp /var/cache/apt/archives; fi";
DPkg::Post-Invoke:: "if [ -x /usr/sbin/localepurge ] && [ $(ps w -p $PPID | grep -c remove) != 1 ]; then /usr/sbin/localepurge; else exit 0; fi";

-- /etc/apt/preferences --

Package: *
Pin: release a=unstable
Pin-Priority: 102

Package: *
Pin: release a=experimental
Pin-Priority: 99

Package: *
Pin: release a=edgy
Pin-Priority: 98

Package: *
Pin: release a=feisty
Pin-Priority: 97

Package: *
Pin: release a=testing
Pin-Priority: 103

Package: *
Pin: release o=tevp
Pin-Priority: 990

-- /etc/apt/sources.list --

deb http://ftp.nl.debian.org/debian/ stable main non-free contrib 
deb-src http://ftp.nl.debian.org/debian/ stable main non-free contrib 
deb http://ftp.nl.debian.org/debian-non-US/ stable/non-US main contrib non-free 
deb http://ftp.nl.debian.org/debian/ unstable main non-free contrib 
deb-src http://ftp.nl.debian.org/debian/ unstable main non-free contrib 
deb http://ftp.nl.debian.org/debian/ testing main non-free contrib 
deb http://ftp.nl.debian.org/debian/ experimental main non-free contrib 
deb-src http://ftp.nl.debian.org/debian/ experimental main non-free contrib 

deb http://security.debian.org/ stable/updates main contrib non-free 

#media things
#deb http://www.debian-multimedia.org testing main
#deb http://www.debian-multimedia.org sid main
#deb http://www.debian-multimedia.org experimental main

#java
#deb http://www.mirror.ac.uk/mirror/www.blackdown.org/mirrors/java-linux/debian/ testing non-free
#deb ftp://ftp.nl.linux.org/pub/linux/java/debian/ testing non-free
#deb http://www.mirror.ac.uk/mirror/www.blackdown.org/mirrors/java-linux/debian/ sid non-free
#deb http://www.mirror.ac.uk/sites/ftp.blackdown.org/java-linux/debian/ unstable main non-free 
#deb ftp://ftp.de.ug.nl/pub/os/Linux/java/jdk/debian/ unstable main non-free 

#deb http://archive.ubuntu.com/ubuntu/ breezy main restricted universe 
#deb-src http://archive.ubuntu.com/ubuntu/ warty main restricted universe 
deb http://archive.ubuntu.com/ubuntu/ edgy main restricted universe 
deb http://archive.ubuntu.com/ubuntu/ feisty main restricted universe 
#deb http://ftp.inf.tu-dresden.de/os/linux/dists/ubuntu dapper main restricted universe 
#deb-src http://archive.ubuntu.com/ubuntu/ dapper main restricted universe 
#deb-src http://ftp.inf.tu-dresden.de/os/linux/dists/ubuntu dapper main restricted universe 

deb file:///local/palfrey/src/debian/ testing/ 
deb file:///local/palfrey/src/debian/ unstable/ 
deb-src file:///local/palfrey/src/debian/ source/ 
#deb http://tevp.net/debian/ binary/

# xmms2
#deb http://exodus.xmms.se/debian stable main

# skype
deb http://download.skype.com/linux/repos/debian/ stable non-free

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable'), (103, 'testing'), (102, 'unstable'), (99, 'experimental'), (97, 'feisty')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages apt depends on:
ii  debian-archive-keyring       2006.11.22  GnuPG archive keys of the Debian a
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libgcc1                      1:4.1.1-19  GCC support library
ii  libstdc++6                   4.1.1-19    The GNU Standard C++ Library v3

apt recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 400768@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: Tom Parker <debian@tevp.net>, 400768@bugs.debian.org
Subject: Re: Bug#400768: apt: Returns "E: Wow, you exceeded the number of versions this APT is capable of"
Date: Tue, 28 Nov 2006 21:59:56 +0100
On Tue, Nov 28, 2006 at 05:19:45PM +0100, Tom Parker wrote:
> Using my current /etc/apt/sources.list gets the error messages 
> 
> <misc apt stuff>
> Reading package lists... Error!
> E: Wow, you exceeded the number of versions this APT is capable of.
> E: Problem with MergeList /var/lib/dpkg/status
> E: The package lists or status file could not be parsed or opened.
> 
> Commenting out the "edgy" line or the "security" line (or probably
> various others) removes the problem.

I got a similar error which resulted in a crash in aptitude (see last
message to #383474):

E: Dynamic MMap ran out of room
E: Error occurred while processing libebook8 (NewVersion1)
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.

Adding APT::Cache-Limit "141943904"; to /etc/apt/apt.conf fixes it but
it is not obvious ...

Jens



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Tom Parker <palfrey@tevp.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 400768@bugs.debian.org (full text, mbox):

From: Tom Parker <palfrey@tevp.net>
To: Jens Seidel <jensseidel@users.sf.net>
Cc: 400768@bugs.debian.org
Subject: Re: Bug#400768: apt: Returns "E: Wow, you exceeded the number of versions this APT is capable of"
Date: Wed, 29 Nov 2006 18:38:20 +0100
Jens Seidel wrote:
> Adding APT::Cache-Limit "141943904"; to /etc/apt/apt.conf fixes it but
> it is not obvious ...

Already had APT::Cache-Limit set to 181943904 (due to running into the 
Dynamic MMAP issue before a few times). This is an entirely different 
problem...

Tom Parker
-- 
palfrey@tevp.net - http://tevp.net
Illegitimus non carborundum



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@lysator.liu.se>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 400768@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@lysator.liu.se>
To: 400768@bugs.debian.org
Subject: Re: "E: Wow, you exceeded the number of versions this APT is capable of"
Date: Fri, 3 Aug 2007 23:32:27 +0200
[Message part 1 (text/plain, inline)]
> Reading package lists... Error!
> E: Wow, you exceeded the number of versions this APT is capable of.
> E: Problem with MergeList /var/lib/dpkg/status
> E: The package lists or status file could not be parsed or opened.

The ID fields of pkgCache::Package, pkgCache::PackageFile, and 
pkgCache::Version are all unsigned short. pkgCache::Dependency::ID is however 
a map_ptrloc, i.e. an unsigned int. Maybe it's time to increase the size of 
one or more of the others as well, if it's possible.

-- 
Magnus Holmgren        holmgren@lysator.liu.se
[Message part 2 (application/pgp-signature, inline)]

Severity set to `grave' from `important' Request was from Vedran Furač <vedranf@riteh.hr> to control@bugs.debian.org. (Sun, 09 Mar 2008 18:36:02 GMT) Full text and rfc822 format available.

Forcibly Merged 400768 466643. Request was from Vedran Furač <vedranf@riteh.hr> to control@bugs.debian.org. (Sun, 09 Mar 2008 18:36:03 GMT) Full text and rfc822 format available.

Severity set to `important' from `grave' Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Sun, 09 Mar 2008 19:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. Full text and rfc822 format available.

Acknowledgement sent to A.Kuckartz@ping.de:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 400768@bugs.debian.org (full text, mbox):

From: A.Kuckartz@ping.de
To: 400768@bugs.debian.org
Cc: A.Kuckartz@ping.de
Subject: Same bug as bug #495331
Date: Mon, 25 Aug 2008 09:49:09 GMT
This is the same bug as bug #495331: 

apt-get on SID fails in German locale: "E: Toll, Sie haben die Anzahl an 
Beschreibungen überschritten, die APT handhaben kann." 





Merged 400768 466643 495331. Request was from A.Kuckartz@ping.de to control@bugs.debian.org. (Mon, 25 Aug 2008 10:15:03 GMT) Full text and rfc822 format available.

Forcibly Merged 400768 466643 495331 497617. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 05:12:04 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from A.Kuckartz@ping.de to control@bugs.debian.org. (Mon, 15 Sep 2008 14:54:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve0001@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 400768@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve0001@s.cotton.clara.co.uk>
To: 400768@bugs.debian.org
Subject: Requires an ABI change
Date: Tue, 16 Sep 2008 08:18:43 +0100
[Message part 1 (text/plain, inline)]
The attached patch breaks libapt's ABI, so I suggest it be kept
to developer's chroots and test systems for a while.

It might be possible to fix the problem of German using more
descriptions than English without changing the ABI; but I haven't
looked in to how hard it would be to do so.  I'm guessing that it
would be fiddly, and difficult to do safely for Lenny.



There are four separate "Wow, you exceeded ..." messages, one for
each of
    packages
    versions
    descriptions
    dependencies
The dependencies limit seems to apply to unused code[1], and is
in any case already 2**32-1.  The other three are limited to
65535 objects of each type.

Apt uses unsigned short identifiers (which are 16-bit on all
current Debian architectures) for these, and this is visibly
exported in the ABI of libapt.  The only way to change it is to
change the ABI.


With the attached patch, and after recompiling aptitude to the new
ABI, aptitude is happy to see eight Debian or Ubuntu releases.
apt-cache stats, for English and German:
Total package names: 41665
Total distinct versions: 133926
Total distinct descriptions: 133926
Total dependencies: 947896
Gesamtzahl an Paketnamen: 41806
Gesamtzahl an unterschiedlichen Versionen: 133926
Gesamtzahl an unterschiedlichen Beschreibungen: 240377
Gesamtzahl an Abh?gigkeiten: 947896


The error-checking code that outputs the "Wow..." messages is
based on sizeof(), and will automatically switch to a limit of
2**32-1 if 32-bit identifiers are used.

Steve


[1] A breakpoint on pkgCacheGenerator::ListParser::NewDepends
wasn't hit by basic usage of either apt-get or aptitude.

 ________________________________________
/ Attached patch causes ABI breakage of  \
| the package system? That's serious     |
\ enough to justify a warning in cowsay. /
 ----------------------------------------
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||
[apt_400768_use_ints_for_ids.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Mon, 22 Sep 2008 21:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 22 Sep 2008 21:00:02 GMT) Full text and rfc822 format available.

Message #47 received at 400768@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 400768@bugs.debian.org
Subject: duplicate detection
Date: Mon, 22 Sep 2008 22:57:56 +0200
Hi,

I had a look at the source and the output of "apt-cache stats" and it
looks like the problem is that libapt does not detect duplicated
description version. I.e. if ftp.de.debian.org and ftp.debian.org are
present in the sources.list, that doubles the amount of descrptions it
seems. I'm looking into that.

Cheers, 
Michael




Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Tue, 23 Sep 2008 20:00:03 GMT) Full text and rfc822 format available.

Notification sent to Tom Parker <debian@tevp.net>:
Bug acknowledged by developer. (Tue, 23 Sep 2008 20:00:03 GMT) Full text and rfc822 format available.

Message #52 received at 400768-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 400768-close@bugs.debian.org
Subject: Bug#400768: fixed in apt 0.7.15~exp2
Date: Tue, 23 Sep 2008 19:32:03 +0000
Source: apt
Source-Version: 0.7.15~exp2

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.7.15~exp2_all.deb
  to pool/main/a/apt/apt-doc_0.7.15~exp2_all.deb
apt-transport-https_0.7.15~exp2_i386.deb
  to pool/main/a/apt/apt-transport-https_0.7.15~exp2_i386.deb
apt-utils_0.7.15~exp2_i386.deb
  to pool/main/a/apt/apt-utils_0.7.15~exp2_i386.deb
apt_0.7.15~exp2.dsc
  to pool/main/a/apt/apt_0.7.15~exp2.dsc
apt_0.7.15~exp2.tar.gz
  to pool/main/a/apt/apt_0.7.15~exp2.tar.gz
apt_0.7.15~exp2_i386.deb
  to pool/main/a/apt/apt_0.7.15~exp2_i386.deb
libapt-pkg-dev_0.7.15~exp2_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.7.15~exp2_i386.deb
libapt-pkg-doc_0.7.15~exp2_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.7.15~exp2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400768@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Sep 2008 07:29:59 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.7.15~exp2
Distribution: experimental
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 400768 499462
Changes: 
 apt (0.7.15~exp2) experimental; urgency=low
 .
   [ Michael Vogt ]
   * apt-pkg/pkgcachegen.cc:
     - do not add multiple identical descriptions for the same
       language (closes: #400768)
 .
   [ Program translations ]
   * Catalan updated. Closes: #499462
Checksums-Sha1: 
 54cc4e0b228425a5e2571d34b02480955761f5b3 1175 apt_0.7.15~exp2.dsc
 a2cead56b5ab0aaded93e3ff2cb02e6c3cf80988 2058698 apt_0.7.15~exp2.tar.gz
 f7279666ba577f65da99f69c665da6ade0ad76d6 98836 apt-doc_0.7.15~exp2_all.deb
 6a5bca39e4abee27e1a3c44bb9e2cfa579d74668 122636 libapt-pkg-doc_0.7.15~exp2_all.deb
 a8369d438c34e4aba3386affbe3bdbd03724875e 1647746 apt_0.7.15~exp2_i386.deb
 7678039a241ec852d343e8afbcfbd0b494ed7245 107368 libapt-pkg-dev_0.7.15~exp2_i386.deb
 e0b66c1818dee8a6359ada08205108ad5082c36e 186490 apt-utils_0.7.15~exp2_i386.deb
 4f391f4c925308c2cb9e36197f0f0881adf505f9 56652 apt-transport-https_0.7.15~exp2_i386.deb
Checksums-Sha256: 
 d81bbb856f3136c1139dcaeee168e2c6534e855c47e187f48d740c89f7b3e9cf 1175 apt_0.7.15~exp2.dsc
 4e9fa56ac51ed58a6ccbd7cbb0dbf79abd941a9bdd7ff2392f37d82499a48fa5 2058698 apt_0.7.15~exp2.tar.gz
 b2c6eb073722746ca159509ffe46690826ca51df933fb3b59081f069bb8ba05b 98836 apt-doc_0.7.15~exp2_all.deb
 211b86d0cd3f39e39d2d82597a795f890c8c5890a070067cec7fc17b9ae4db4b 122636 libapt-pkg-doc_0.7.15~exp2_all.deb
 11794e543c6ae64dc1aed4c754061b927737a72820fb4ab992737082ba5e61f8 1647746 apt_0.7.15~exp2_i386.deb
 193a418d4e65b080ddfe85708528e57cc43b4cfe00456ad368196e6e318e6007 107368 libapt-pkg-dev_0.7.15~exp2_i386.deb
 8f0893395f1aeb6532d8e02c4ff52549d84f69f193c19cc2c08dccd776a24659 186490 apt-utils_0.7.15~exp2_i386.deb
 8073d9babd562cd7b241482cf52075bcdf16f5f5236e0203664ad2ad61eb9fb5 56652 apt-transport-https_0.7.15~exp2_i386.deb
Files: 
 6f0f4739f895f085bcf4633383e9815f 1175 admin important apt_0.7.15~exp2.dsc
 98bd449a1ec1b4893fa59aeba99188d7 2058698 admin important apt_0.7.15~exp2.tar.gz
 60192bdf97ce79c384d113302f176173 98836 doc optional apt-doc_0.7.15~exp2_all.deb
 227ec60c31608363743e315394ed32b1 122636 doc optional libapt-pkg-doc_0.7.15~exp2_all.deb
 5f633e3b4c7a873e58e2a13031fa08d1 1647746 admin important apt_0.7.15~exp2_i386.deb
 58ffc9c39b633153119f09be490ace47 107368 libdevel optional libapt-pkg-dev_0.7.15~exp2_i386.deb
 97853d7137ff3b3417e2a98545e63f75 186490 admin important apt-utils_0.7.15~exp2_i386.deb
 de01b8af3ec7483f9233cc20a55f7be5 56652 admin optional apt-transport-https_0.7.15~exp2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjYvtsACgkQliSD4VZixzQ/VACfanss/kdp1rPS9d9LskA/qrRI
7w8An3VQArePgKxZfcMX4d8OPHmWqjM1
=UBAt
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Tue, 23 Sep 2008 20:00:03 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Tue, 23 Sep 2008 20:00:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Tue, 23 Sep 2008 20:00:04 GMT) Full text and rfc822 format available.

Notification sent to Gunter Ohrner <Gunter@ohrner.net>:
Bug acknowledged by developer. (Tue, 23 Sep 2008 20:00:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Tue, 23 Sep 2008 20:00:05 GMT) Full text and rfc822 format available.

Notification sent to "Roland Eggner" <roland.edv@eggner.at>:
Bug acknowledged by developer. (Tue, 23 Sep 2008 20:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Tue, 23 Sep 2008 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 23 Sep 2008 20:42:03 GMT) Full text and rfc822 format available.

Message #72 received at 400768@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 400768@bugs.debian.org
Subject: Please test the version in experimental
Date: Tue, 23 Sep 2008 22:40:38 +0200
Hi,

I uploaded a new version of apt into experimental that hopefully fixes
the issue (its not experimental, I jut put it there because of extra
carefulness).

Please test and give me feedback.

Thanks,
 Michael




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Wed, 24 Sep 2008 00:27:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Klöckner <mathem@tician.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 24 Sep 2008 00:27:01 GMT) Full text and rfc822 format available.

Message #77 received at 400768@bugs.debian.org (full text, mbox):

From: Andreas Klöckner <mathem@tician.de>
To: 400768@bugs.debian.org
Subject: [apt] Fix makes aptitude die on update
Date: Tue, 23 Sep 2008 20:23:01 -0400
[Message part 1 (text/plain, inline)]
Package: apt
Version: 0.7.15~exp2

Now, when I hit "u", then "U", then "g" in aptitude, I get this:

Ouch!  Got SIGABRT, dying..

Is this expected because of the ABI breakage?

Andreas


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.26-1-686

Debian Release: lenny/sid
  990 testing         ftp.us.debian.org 
  500 unstable        ftp.us.debian.org 
  500 unstable        ftp.uni-kl.de 
  500 stable          ftp.us.debian.org 
    1 experimental    ftp.us.debian.org 

--- Package information. ---
Depends                       (Version) | Installed
=======================================-+-=============
libc6                        (>= 2.7-1) | 2.7-13
libgcc1                    (>= 1:4.1.1) | 1:4.3.2-1
libstdc++6                   (>= 4.2.1) | 4.3.2-1
debian-archive-keyring                  | 2008.04.16+nmu1

--- Output from package bug script ---


-- 
Andreas Kloeckner          ^ mathem@tician.de
114 Camp Street Apt 2      | http://mathema.tician.de
Providence, RI 02906       | cell: (401) 497-9385
Applied Mathematics, Brown | home: (401) 648-0599
---------------------------+------------------------------------>
AIM/ICQ: inducer77         | XMPP/GoogleTalk: inducer@amessage.de
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Wed, 24 Sep 2008 09:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jisakiel <jisakiel@yahoo.es>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 24 Sep 2008 09:33:28 GMT) Full text and rfc822 format available.

Message #82 received at 400768@bugs.debian.org (full text, mbox):

From: Jisakiel <jisakiel@yahoo.es>
To: 400768@bugs.debian.org
Subject: [apt] Fix makes aptitude die on update
Date: Wed, 24 Sep 2008 09:12:21 +0000 (GMT)
In fact aptitude dist-upgrade also dies for me with segfault on amd64... 








Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Wed, 24 Sep 2008 12:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve0001@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 24 Sep 2008 12:09:12 GMT) Full text and rfc822 format available.

Message #87 received at 400768@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve0001@s.cotton.clara.co.uk>
To: Andreas Klöckner <mathem@tician.de>, 400768@bugs.debian.org
Subject: Re: [apt] Fix makes aptitude die on update
Date: Wed, 24 Sep 2008 13:04:54 +0100
On Tue, Sep 23, 2008 at 08:23:01PM -0400, Andreas Klöckner wrote:
> Version: 0.7.15~exp2
> 
> Is this expected because of the ABI breakage?

#499322 apt 0.7.15~1exp1 needs a soname bump or an ABI revert.

It's from the changes between 0.7.14 and 0.7.15~exp1, not the
change for this bug.

The ABI breaker patch that I added to this bug wasn't used.

Steve




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Wed, 24 Sep 2008 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve0001@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 24 Sep 2008 12:39:05 GMT) Full text and rfc822 format available.

Message #92 received at 400768@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve0001@s.cotton.clara.co.uk>
To: A.Kuckartz@ping.de, 400768@bugs.debian.org
Subject: apt-0.7.15~exp2: Improvement but only for borderline cases.
Date: Wed, 24 Sep 2008 13:36:21 +0100
I believe this should not be RC for Lenny.  The bug only triggers
for people using multiple releases; so anyone hitting this bug
should be able to get an updated version from unstable or
squeeze-testing without needing it in Lenny.


There are five related issues in this bug report:
  1 limit of 64k packages 
  2 limit of 64k {package,version} pairs
  3 limit of 64k descriptions
  4 translated descriptions count once per language
  5 duplicate descriptions count twice

IIUC, the combination of 3, 4 and 5 is why this bug has been set RC.
The bug report that best describes how to recreate it is
  #497617 [aptitude] [German localisation] "exceeded the number of descriptions this APT is capable of .. Problem with MergeList .."

Michael Vogt's changes improve things.  The specific combination of
  deb http://ftp.uk.debian.org/debian/ sid main non-free contrib 
  deb http://archive.ubuntu.com/ubuntu/ intrepid main restricted universe multiverse
drops from 68529 descriptions to 62056, making it work.

However, that example is very close to the 65535 description
boundary.  I think either issue 3 or 4 needs to be fixed for
#497617 to be closed.

Steve




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Wed, 24 Sep 2008 13:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 24 Sep 2008 13:27:10 GMT) Full text and rfc822 format available.

Message #97 received at 400768@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 400768@bugs.debian.org, Michael Vogt <mvo@ubuntu.com>
Subject: Re: Bug#400768: [apt] Fix makes aptitude die on update
Date: Wed, 24 Sep 2008 06:19:43 -0700
On Wed, Sep 24, 2008 at 09:12:21AM +0000, Jisakiel <jisakiel@yahoo.es> was heard to say:
> In fact aptitude dist-upgrade also dies for me with segfault on amd64... 

  Michael,

  I'd like to take a look at fixing this ABI issue.  It looks like you
aren't working in the debian-sid tree; could you send me the URL of
your branch so I can download a copy?

    Thanks,
  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Wed, 24 Sep 2008 21:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 24 Sep 2008 21:39:17 GMT) Full text and rfc822 format available.

Message #102 received at 400768@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: steve0001@s.cotton.clara.co.uk
Cc: A.Kuckartz@ping.de, 400768@bugs.debian.org
Subject: re: apt-0.7.15~exp2: Improvement but only for borderline cases.
Date: Wed, 24 Sep 2008 22:36:59 +0100
>I believe this should not be RC for Lenny.  The bug only triggers
>for people using multiple releases; so anyone hitting this bug
>should be able to get an updated version from unstable or
>squeeze-testing without needing it in Lenny.

It could also cause issues for people upgrading from lenny oldstable to squeeze stable. Especially if they don't delete the
lenny DVDs from thier sources.list.






Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Thu, 25 Sep 2008 08:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas Kuckartz" <A.Kuckartz@ping.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 25 Sep 2008 08:30:05 GMT) Full text and rfc822 format available.

Message #107 received at 400768@bugs.debian.org (full text, mbox):

From: "Andreas Kuckartz" <A.Kuckartz@ping.de>
To: "peter green" <plugwash@p10link.net>
Cc: steve0001@s.cotton.clara.co.uk, 400768@bugs.debian.org
Subject: Re: apt-0.7.15~exp2: Improvement but only for borderline cases.
Date: 25 Sep 2008 10:28:40 +0200
I think that it would be a risk to release Lenny without resolving this
problem somehow but I also do not know enough to be able to decide how
to proceed.

Can the "LANG=C" workaround be installed with Lenny ? But which other
problems would be created by that ?!

Cheers,
Andreas
---

peter green schrieb:
>> I believe this should not be RC for Lenny.  The bug only triggers
>> for people using multiple releases; so anyone hitting this bug
>> should be able to get an updated version from unstable or
>> squeeze-testing without needing it in Lenny.
>
> It could also cause issues for people upgrading from lenny oldstable
> to squeeze stable. Especially if they don't delete the
> lenny DVDs from thier sources.list.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Fri, 26 Sep 2008 05:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve0001@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 26 Sep 2008 05:18:02 GMT) Full text and rfc822 format available.

Message #112 received at 400768@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve0001@s.cotton.clara.co.uk>
To: Andreas Kuckartz <A.Kuckartz@ping.de>
Cc: 400768@bugs.debian.org
Subject: Re: apt-0.7.15~exp2: Improvement but only for borderline cases.
Date: Fri, 26 Sep 2008 06:13:01 +0100
On Thu, Sep 25, 2008 at 10:28:40AM +0200, Andreas Kuckartz wrote:
> Can the "LANG=C" workaround be installed with Lenny ? But which other
> problems would be created by that ?!

It will put the user-interface in to English.

Cheers,
Steve




Forcibly Merged 400768 466643 485489 495331 497617. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Fri, 03 Oct 2008 16:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Sun, 05 Oct 2008 10:13:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf Schulz <bugreports@village.in-berlin.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 05 Oct 2008 10:14:09 GMT) Full text and rfc822 format available.

Message #119 received at 400768@bugs.debian.org (full text, mbox):

From: Olaf Schulz <bugreports@village.in-berlin.de>
To: 400768@bugs.debian.org
Subject: Re: Bug#400768: fixed in apt 0.7.15~exp2
Date: Sun, 5 Oct 2008 12:06:39 +0200
Hi,
On Tue, Sep 23, 2008 at 07:32:03PM +0000, Michael Vogt wrote:
> Source: apt
> Source-Version: 0.7.15~exp2
>
> We believe that the bug you reported is fixed in the latest version of
> apt, which is due to be installed in the Debian FTP archive:
>
> apt-doc_0.7.15~exp2_all.deb
>   to pool/main/a/apt/apt-doc_0.7.15~exp2_all.deb
> apt-transport-https_0.7.15~exp2_i386.deb
>   to pool/main/a/apt/apt-transport-https_0.7.15~exp2_i386.deb
> apt-utils_0.7.15~exp2_i386.deb
>   to pool/main/a/apt/apt-utils_0.7.15~exp2_i386.deb
> apt_0.7.15~exp2.dsc
>   to pool/main/a/apt/apt_0.7.15~exp2.dsc
> apt_0.7.15~exp2.tar.gz
>   to pool/main/a/apt/apt_0.7.15~exp2.tar.gz
> apt_0.7.15~exp2_i386.deb
>   to pool/main/a/apt/apt_0.7.15~exp2_i386.deb


I installed "manually" (with dpkg -i) apt 0.7.15~exp3 today.
(no dependency problems on a lenny system)

Now
apt-get update
aptitude update
apt-get dist-upgrade (installing three new packages, at least one of them with a translated description)
apt-cache show $package (with $package having a translated description)

now work as expected with this locale:

LANG=de_DE.UTF-8
LANGUAGE=de
LC_CTYPE=de_DE.UTF-8
LC_NUMERIC=de_DE.UTF-8
LC_TIME=de_DE.UTF-8
LC_COLLATE=POSIX
LC_MONETARY=de_DE.UTF-8
LC_MESSAGES=de_DE.UTF-8
LC_PAPER=de_DE.UTF-8
LC_NAME=de_DE.UTF-8
LC_ADDRESS=de_DE.UTF-8
LC_TELEPHONE=de_DE.UTF-8
LC_MEASUREMENT=de_DE.UTF-8
LC_IDENTIFICATION=de_DE.UTF-8
LC_ALL=

good job!

regards
Olaf




Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sun, 05 Oct 2008 15:30:07 GMT) Full text and rfc822 format available.

Notification sent to Tom Parker <debian@tevp.net>:
Bug acknowledged by developer. (Sun, 05 Oct 2008 15:30:07 GMT) Full text and rfc822 format available.

Message #124 received at 400768-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 400768-close@bugs.debian.org
Subject: Bug#400768: fixed in apt 0.7.15
Date: Sun, 05 Oct 2008 15:17:02 +0000
Source: apt
Source-Version: 0.7.15

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.7.15_all.deb
  to pool/main/a/apt/apt-doc_0.7.15_all.deb
apt-transport-https_0.7.15_i386.deb
  to pool/main/a/apt/apt-transport-https_0.7.15_i386.deb
apt-utils_0.7.15_i386.deb
  to pool/main/a/apt/apt-utils_0.7.15_i386.deb
apt_0.7.15.dsc
  to pool/main/a/apt/apt_0.7.15.dsc
apt_0.7.15.tar.gz
  to pool/main/a/apt/apt_0.7.15.tar.gz
apt_0.7.15_i386.deb
  to pool/main/a/apt/apt_0.7.15_i386.deb
libapt-pkg-dev_0.7.15_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.7.15_i386.deb
libapt-pkg-doc_0.7.15_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.7.15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400768@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 05 Oct 2008 13:23:47 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.7.15
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 400768 457706 464515 479628 480002 480022 485943 485960 485964 485965 486179 488361 488526 489344 490532 491790 492473 492475 492773 492794 492975 493328 493922 496754 497277 497496 497893 498018 498411 498687 498799 499322 499462
Changes: 
 apt (0.7.15) unstable; urgency=low
 .
   * Upload to unstable
 .
 apt (0.7.15~exp3) experimental; urgency=low
 .
   [Daniel Burrows]
   * apt-pkg/deb/dpkgpm.cc:
     - Store the trigger state descriptions in a way that does not break
       the ABI.  The approach taken makes the search for a string O(n) rather
       than O(lg(n)), but since n == 4, I do not consider this a major
       concern.  If it becomes a concern, we can sort the static array and
       use std::equal_range().  (Closes: #499322)
 .
   [ Michael Vogt ]
   * apt-pkg/packagemanager.cc, apt-pkg/deb/dpkgpm.cc:
     - move the state file writting into the Go() implementation
       of dpkgpm (closes: #498799)
   * apt-pkg/algorithms.cc:
     - fix simulation performance drop (thanks to Ferenc Wagner
       for reporting the issue)
 .
 apt (0.7.15~exp2) experimental; urgency=low
 .
   [ Michael Vogt ]
   * apt-pkg/pkgcachegen.cc:
     - do not add multiple identical descriptions for the same
       language (closes: #400768)
 .
   [ Program translations ]
   * Catalan updated. Closes: #499462
 .
 apt (0.7.15~exp1) experimental; urgency=low
 .
   [ Christian Perrier ]
   * Fix typo in cron.daily script. Closes: #486179
 .
   [ Program translations ]
   * Traditional Chinese updated. Closes: #488526
   * German corrected and completed. Closes: #490532, #480002, #498018
   * French completed
   * Bulgarian updated. Closes: #492473
   * Slovak updated. Closes: #492475
   * Galician updated. Closes: #492794
   * Japanese updated. Closes: #492975
   * Fix missing space in Greek translation. Closes: #493922
   * Greek updated.
   * Brazilian Portuguese updated.
   * Basque updated. Closes: #496754
   * Romanian updated. Closes: #492773, #488361
   * Portuguese updated. Closes: #491790
   * Simplified Chinese updated. Closes: #489344
   * Norwegian Bokmål updated. Closes: #480022
   * Czech updated. Closes: #479628, #497277
   * Korean updated. Closes: #464515
   * Spanish updated. Closes: #457706
   * Lithuanian added. Closes: #493328
   * Swedish updated. Closes: #497496
   * Vietnamese updated. Closes: #497893
   * Portuguese updated. Closes: #498411
   * Greek updated. Closes: #498687
   * Polish updated.
 .
   [ Michael Vogt ]
   * merge patch that enforces stricter https server certificate
     checking (thanks to Arnaud Ebalard, closes: #485960)
   * allow per-mirror specific https settings
     (thanks to Arnaud Ebalard, closes: #485965)
   * add doc/examples/apt-https-method-example.cof
     (thanks to Arnaud Ebalard, closes: #485964)
   * apt-pkg/depcache.cc:
     - when checking for new important deps, skip critical ones
       (closes: #485943)
   * improve apt progress reporting, display trigger actions
   * add DPkg::NoTriggers option so that applications that call
     apt/aptitude (like the installer) defer trigger processing
     (thanks to Joey Hess)
   * doc/makefile:
     - add examples/apt-https-method-example.conf
Checksums-Sha1: 
 a9857df4c3ecfd4d91ca6943b9f88800d44705f1 1155 apt_0.7.15.dsc
 f2f631faaa6331cab346831bfd5fc4d125d282aa 2057804 apt_0.7.15.tar.gz
 469ecc9cd50da2e057d4d032c3c7b2b936b58115 99076 apt-doc_0.7.15_all.deb
 89ee2740c5a49acab81f2926e107238e106699e0 122954 libapt-pkg-doc_0.7.15_all.deb
 feb0fbff92043b1db80995ae660991ab720a37fe 1647348 apt_0.7.15_i386.deb
 35314cf763a02ab92a74a4f725871c2d453883d5 107642 libapt-pkg-dev_0.7.15_i386.deb
 6ee2544dfb38afa8fb1ee967f7f252a567444754 186738 apt-utils_0.7.15_i386.deb
 f818efd4db44da817ca96238939aba23a38944f0 56952 apt-transport-https_0.7.15_i386.deb
Checksums-Sha256: 
 1648da59c31cee0511a86a84fb54cf4388e9eb2b254837ce03fb38a5fdd9e7b8 1155 apt_0.7.15.dsc
 51c9313eea8a02cd2f8cc703638b02cc7ca21e0562228631b151b0dabcb9f916 2057804 apt_0.7.15.tar.gz
 7b27d5721573213ff6db33cf6aba3305928c93e3ec3512ba7e277acec0b0387a 99076 apt-doc_0.7.15_all.deb
 9ee2f540bfde83883344c332e74f00a81cc582e773571995682eb9b9f09dcb22 122954 libapt-pkg-doc_0.7.15_all.deb
 64a7f46deb11cad73757d694ef0e0588f589ed0080bdf0cda62b25ca7b355946 1647348 apt_0.7.15_i386.deb
 c7c0b1b0fe1640f91520c99b864253a4b3ed0725b79566b06d4b4511c197cb30 107642 libapt-pkg-dev_0.7.15_i386.deb
 12d86fa7400fb1501f64738fc47b2ba1cd21b53ab8933607b6442abacc42c394 186738 apt-utils_0.7.15_i386.deb
 99554b9545614dc976107016a028f5cb49e13f28da7fe8b5941700dde2fafb5a 56952 apt-transport-https_0.7.15_i386.deb
Files: 
 28904d9f4ad67ed260645afb10b2cdc3 1155 admin important apt_0.7.15.dsc
 054486fc31ed9896fe5bbbf8e268107e 2057804 admin important apt_0.7.15.tar.gz
 bc595e61e6c435ade210f09daaf937e0 99076 doc optional apt-doc_0.7.15_all.deb
 f61355e1d4f30bd6cd321f3e45e56076 122954 doc optional libapt-pkg-doc_0.7.15_all.deb
 939f7b8425700a15028b0adca2dfcf92 1647348 admin important apt_0.7.15_i386.deb
 f0e3f636453447249744e794a274975a 107642 libdevel optional libapt-pkg-dev_0.7.15_i386.deb
 f39961e1c08338370bb4fcd0862449f0 186738 admin important apt-utils_0.7.15_i386.deb
 27e70c6008d59c8870baa0c70e4bc78b 56952 admin optional apt-transport-https_0.7.15_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjo1ucACgkQliSD4VZixzSuIACfZq4HjQ+h3YWSZX1+JQWFxhkW
mJcAnjrpvYXSE8B3cc6JPwSsX6/1PIyC
=6mYV
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sun, 05 Oct 2008 15:30:08 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Sun, 05 Oct 2008 15:30:08 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sun, 05 Oct 2008 15:30:08 GMT) Full text and rfc822 format available.

Notification sent to Neil O'Connell <rafkid@btconnect.com>:
Bug acknowledged by developer. (Sun, 05 Oct 2008 15:30:09 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sun, 05 Oct 2008 15:30:09 GMT) Full text and rfc822 format available.

Notification sent to Gunter Ohrner <Gunter@ohrner.net>:
Bug acknowledged by developer. (Sun, 05 Oct 2008 15:30:10 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sun, 05 Oct 2008 15:30:11 GMT) Full text and rfc822 format available.

Notification sent to "Roland Eggner" <roland.edv@eggner.at>:
Bug acknowledged by developer. (Sun, 05 Oct 2008 15:30:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Sun, 05 Oct 2008 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve0001@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 05 Oct 2008 21:00:03 GMT) Full text and rfc822 format available.

Message #149 received at 400768@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve0001@s.cotton.clara.co.uk>
To: 354938@bugs.debian.org, 354938-submitter@bugs.debian.org, 466643-submitter@bugs.debian.org, control@bugs.debian.org, 400768-submitter@bugs.debian.org
Cc: 400768@bugs.debian.org
Subject: Re: bug 354938: Require more number of versions/packages that apt is capable of.
Date: Sun, 5 Oct 2008 21:57:35 +0100
tags 354938 +patch
found 354938 apt/0.6.46.3, apt/0.6.46.4-0.1, apt/0.7.11, apt/0.7.14
quit

Hi,

This bug (354938) is clearly about the 64k limit on package names
and versions, without reference to translated descriptions.  Many
of the duplicates of 400768 (including 400768 itself) were
originally reporting the name or version limit rather than the
translation limit.

400768 is now an RC bug to either
a) raise the limit
b) reduce the number of translations that count against the limit
and is being solved by option B.

I suggest 354938 be left unmerged as a wishlist to raise the 64k
limit.  A patch to do this for apt-0.7.14 is attached to
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=400768#42

Steve




Message sent on to Tom Parker <debian@tevp.net>:
Bug#400768. (Sun, 05 Oct 2008 21:00:06 GMT) Full text and rfc822 format available.

Bug no longer marked as fixed in version 0.7.16+b1. Request was from Klaus Ethgen <Klaus@Ethgen.de> to control@bugs.debian.org. (Thu, 30 Oct 2008 12:21:10 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Klaus Ethgen <Klaus@Ethgen.de> to control@bugs.debian.org. (Thu, 30 Oct 2008 12:30:06 GMT) Full text and rfc822 format available.

Forcibly Merged 400768 466643 485489 495331 497617 504006. Request was from Klaus Ethgen <Klaus@Ethgen.de> to control@bugs.debian.org. (Thu, 30 Oct 2008 12:36:07 GMT) Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from "Eugene V. Lyubimkin" <jackyf.devel@gmail.com> to control@bugs.debian.org. (Sat, 01 Nov 2008 16:30:16 GMT) Full text and rfc822 format available.

Forcibly Merged 290907 400768 466643 485489 495331 497617 504006. Request was from jackyf.devel@gmail.com to control@bugs.debian.org. (Thu, 13 Nov 2008 20:48:08 GMT) Full text and rfc822 format available.

Tags removed: l10n Request was from jackyf.devel@gmail.com to control@bugs.debian.org. (Tue, 18 Nov 2008 21:04:52 GMT) Full text and rfc822 format available.

Disconnected #290907 from all other report(s). Request was from jackyf.devel@gmail.com to control@bugs.debian.org. (Thu, 27 Nov 2008 21:54:08 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from "Eugene V. Lyubimkin" <jackyf.devel@gmail.com> to control@bugs.debian.org. (Thu, 27 Nov 2008 22:12:08 GMT) Full text and rfc822 format available.

Forcibly Merged 354938 400768 466643 485489 495331 497617 504006. Request was from jackyf.devel@gmail.com to control@bugs.debian.org. (Sun, 07 Dec 2008 10:27:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 19:06:05 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 19:06:09 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 19:06:14 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 19:06:18 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 19:06:22 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 19:06:27 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sat, 21 Feb 2009 10:18:04 GMT) Full text and rfc822 format available.

Notification sent to Tom Parker <debian@tevp.net>:
Bug acknowledged by developer. (Sat, 21 Feb 2009 10:18:04 GMT) Full text and rfc822 format available.

Message #187 received at 400768-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 400768-close@bugs.debian.org
Subject: Bug#400768: fixed in apt 0.7.21~exp2
Date: Sat, 21 Feb 2009 10:06:23 +0000
Source: apt
Source-Version: 0.7.21~exp2

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-dbg_0.7.21~exp2_i386.deb
  to pool/main/a/apt/apt-dbg_0.7.21~exp2_i386.deb
apt-doc_0.7.21~exp2_all.deb
  to pool/main/a/apt/apt-doc_0.7.21~exp2_all.deb
apt-transport-https_0.7.21~exp2_i386.deb
  to pool/main/a/apt/apt-transport-https_0.7.21~exp2_i386.deb
apt-utils_0.7.21~exp2_i386.deb
  to pool/main/a/apt/apt-utils_0.7.21~exp2_i386.deb
apt_0.7.21~exp2.dsc
  to pool/main/a/apt/apt_0.7.21~exp2.dsc
apt_0.7.21~exp2.tar.gz
  to pool/main/a/apt/apt_0.7.21~exp2.tar.gz
apt_0.7.21~exp2_i386.deb
  to pool/main/a/apt/apt_0.7.21~exp2_i386.deb
libapt-pkg-dev_0.7.21~exp2_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.7.21~exp2_i386.deb
libapt-pkg-doc_0.7.21~exp2_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.7.21~exp2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400768@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Feb 2009 11:00:08 +0100
Source: apt
Binary: apt apt-doc apt-dbg libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.7.21~exp2
Distribution: experimental
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - advanced front-end for dpkg
 apt-dbg    - debug info for APT
 apt-doc    - documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - documentation for APT development
Closes: 400768 448249 466643 485489 495331 497617 504006 511556 511557 513211 513311 513843
Changes: 
 apt (0.7.21~exp2) experimental; urgency=low
 .
   [ Michael Vogt ]
   * [ABI break] merge support for http redirects, thanks to
     Jeff Licquia and Anthony Towns
   * [ABI break] use int for the package IDs (thanks to Steve Cotton)
   * apt-pkg/pkgcache.cc:
     - do not run "dpkg --configure pkg" if pkg is in trigger-awaited
       state (LP: #322955)
   * methods/https.cc:
     - add Acquire::https::AllowRedirect support
   * merge latest debian-sid changes
 .
   [ Christian Perrier ]
   * Translations:
     - bg.po. Closes: #513211
     - zh_TW.po. Closes: #513311
     - nb.po. Closes: #513843
 .
   [ Eugene V. Lyubimkin ]
   * apt-pkg/pkgcachegen.cc:
     - Simplified a bit code that check for duplicates in MergeList().
   * debian/control:
     - Lowercased package descriptions.
   * debian/rules:
     - Removed some old cruft.
     - Bumped libapt major version, excluded glibc minor version from libapt
       SONAME. (Closes: #448249)
   * apt-pkg/:
     - Adjusted build system and '#include' directives to be more robust, clean
       and debug-friendly.
   * Added debug package for apt, libapt-pkg and libapt-inst: apt-dbg.
   * Removed 65k limits on packages count, versions count, dependencies count
     and descriptions count. The next limit is 4g limit.
     (Closes: #400768, #466643, #485489, #495331, #497617, #504006)
   * apt-pkg/indexcopy.cc:
     - Fixed small memory leak, patch by George Danchev. (Closes: #511556)
   * cmdline/apt-cache.cc:
     - Fixed memory leak, patch by George Danchev. (Closes: #511557)
Checksums-Sha1: 
 1671b82f480dfbf5dd343dccb2839316c6f5b84c 1241 apt_0.7.21~exp2.dsc
 853e482436747f7cc06e9b9e0dda109c0b567f55 1890790 apt_0.7.21~exp2.tar.gz
 44cd83269aa1225d8ffadec806589ac84f28e3cc 101892 apt-doc_0.7.21~exp2_all.deb
 04ed8081c2117536789ccf45951ca5d227f2dcc7 125984 libapt-pkg-doc_0.7.21~exp2_all.deb
 00fa1151fec8b8ffe79a1fe4125dc3a81651e184 1639962 apt_0.7.21~exp2_i386.deb
 8264a499e8f400476b19bbb5d01ce97e2d9308d2 2100446 apt-dbg_0.7.21~exp2_i386.deb
 d8eb4491b4b8c9d2e7e1383c56fb1815778646c3 110354 libapt-pkg-dev_0.7.21~exp2_i386.deb
 34ce25d4487693032915115f8cb66dd9a4fa4c6c 188290 apt-utils_0.7.21~exp2_i386.deb
 2defb9323b9291a93519a9742e2eedadd89a0f58 60436 apt-transport-https_0.7.21~exp2_i386.deb
Checksums-Sha256: 
 d0976869beb0c713639f2755571b0df5cc3282b5a6e43b2f6787184bddd86bbd 1241 apt_0.7.21~exp2.dsc
 31dbdb40a8839015674fb640419d89a4bbfcbc6bcf4e98edc80641fb88ac3a28 1890790 apt_0.7.21~exp2.tar.gz
 1cd5f2fd680ba73c3b9c5f16db69ecb871a8a039d6b0a4a4a2e9ae274c9e5cd0 101892 apt-doc_0.7.21~exp2_all.deb
 e746ae7d55f934b5250deddd21f05f696908c55e59818a5b91a921d9e3c38bb5 125984 libapt-pkg-doc_0.7.21~exp2_all.deb
 c86fa305fdb54255a1a107e10cf07df8eacb7c9438b4f42b11b17f18746d5fb7 1639962 apt_0.7.21~exp2_i386.deb
 387f4819448988a306cf44567ab361b290701e75000c2af2b3d5289bdb801f59 2100446 apt-dbg_0.7.21~exp2_i386.deb
 e850a230095bbc0491452e914f05ec23810e136bcfbe851e78f25434cc78a40b 110354 libapt-pkg-dev_0.7.21~exp2_i386.deb
 eb2333795faf8542920ef61d9c749cbbc3442c011de2c20e7664e292ef15029a 188290 apt-utils_0.7.21~exp2_i386.deb
 4b9d963f56d8a96ead63084414e4722b7615f390d3da0d66881e1f68d8f9d6fc 60436 apt-transport-https_0.7.21~exp2_i386.deb
Files: 
 137dffa6a2aa389647224b019a050b25 1241 admin important apt_0.7.21~exp2.dsc
 680d6069f22b0fafaa666b7bde77a716 1890790 admin important apt_0.7.21~exp2.tar.gz
 7ee8364b72eb74709356052c2bfd7991 101892 doc optional apt-doc_0.7.21~exp2_all.deb
 89bf5013af20e1886bca959e5e105b28 125984 doc optional libapt-pkg-doc_0.7.21~exp2_all.deb
 b562c8ac621de8b8f7a44fae22b42135 1639962 admin important apt_0.7.21~exp2_i386.deb
 4f7b128289f84a03cd104b033f7b92a1 2100446 devel extra apt-dbg_0.7.21~exp2_i386.deb
 43127118dae2499f8c1c2cad65549795 110354 libdevel optional libapt-pkg-dev_0.7.21~exp2_i386.deb
 df1b3a8563add049d13a3d041e3bd1f6 188290 admin important apt-utils_0.7.21~exp2_i386.deb
 55635eaf9176801d2e9af80016af53b8 60436 admin optional apt-transport-https_0.7.21~exp2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmSplYACgkQliSD4VZixzQA1QCfTWTj8NR0i2AM9yK8KjiPYo3g
LtYAn0Jrn2c1m4pdUwtaYaSX3JnOF3d6
=Kn/Q
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sat, 21 Feb 2009 10:18:05 GMT) Full text and rfc822 format available.

Notification sent to Anon Sricharoenchai <anon_hui@yahoo.com>:
Bug acknowledged by developer. (Sat, 21 Feb 2009 10:18:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sat, 21 Feb 2009 10:18:06 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Sat, 21 Feb 2009 10:18:06 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sat, 21 Feb 2009 10:18:07 GMT) Full text and rfc822 format available.

Notification sent to Neil O'Connell <rafkid@btconnect.com>:
Bug acknowledged by developer. (Sat, 21 Feb 2009 10:18:07 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sat, 21 Feb 2009 10:18:08 GMT) Full text and rfc822 format available.

Notification sent to Gunter Ohrner <Gunter@ohrner.net>:
Bug acknowledged by developer. (Sat, 21 Feb 2009 10:18:09 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sat, 21 Feb 2009 10:18:09 GMT) Full text and rfc822 format available.

Notification sent to "Roland Eggner" <roland.edv@eggner.at>:
Bug acknowledged by developer. (Sat, 21 Feb 2009 10:18:10 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sat, 21 Feb 2009 10:18:11 GMT) Full text and rfc822 format available.

Notification sent to Klaus Ethgen <Klaus@Ethgen.de>:
Bug acknowledged by developer. (Sat, 21 Feb 2009 10:18:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Fri, 12 Jun 2009 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Evans <charlesevans@chartertn.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 12 Jun 2009 19:33:03 GMT) Full text and rfc822 format available.

Message #222 received at 400768@bugs.debian.org (full text, mbox):

From: Charles Evans <charlesevans@chartertn.net>
To: steve0001@s.cotton.clara.co.uk, 400768@bugs.debian.org
Subject: re: apt-0.7.15~exp2: Improvement but only for borderline cases.
Date: Fri, 12 Jun 2009 15:29:45 -0400
> I believe this should not be RC for Lenny.  The bug only triggers
> for people using multiple releases; so anyone hitting this bug
> should be able to get an updated version from unstable or
> squeeze-testing without needing it in Lenny.

I am totally stuck without a backport for apt 0.7.21.
Please mark this critical for lenny and etch.
I am running mostly etchnhalf, kernel is 2.6.24, but 
I need some bugfixes in testing and unstable.
Without apt 0.7.21, I can't do anything, even apt-get update.
(E: Wow, you exceeded the number of versions this APT is capable of)
With it, I can't do anything but update.
apt-get install -f 
says
195 upgraded, 125 newly installed, 179 to remove and 2525 not upgraded. 





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#400768; Package apt. (Tue, 20 Oct 2009 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 20 Oct 2009 19:12:03 GMT) Full text and rfc822 format available.

Message #227 received at 400768@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: 400768@bugs.debian.org
Subject: would be nice to get a fix for lenny
Date: Tue, 20 Oct 2009 15:03:57 -0400 (EDT)
Just ran into this. Running lenny.

                  Regards, Faheem.




Bug No longer marked as fixed in versions apt/0.7.21~exp2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Dec 2009 07:42:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Jul 2010 07:31:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:17:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.